Bug 1477310 - [HCI] [RFE] Print IP/FQDN of hosted engine Appliance at the end of setup via CLI
[HCI] [RFE] Print IP/FQDN of hosted engine Appliance at the end of setup via CLI
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Ido Rosenzwig
meital avital
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 14:17 EDT by Dave
Modified: 2017-08-14 03:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-14 03:42:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave 2017-08-01 14:17:31 EDT
Description of problem:
After deploying hosted engine via cli (hosted-engine --deploy) having the web address of your appliance printed on the screen would add to the UX.


How reproducible:


Steps to Reproduce:
1. run a successful deployment by hosted-engine --deploy

Actual results:
No IP/FQDN printed on screen.

Expected results:
Web address printed on screen after successful deployment.

Additional info:
N/A
Comment 1 Yaniv Kaul 2017-08-01 15:09:49 EDT
Which UX? You've deployed via CLI?
Comment 2 Dave 2017-08-01 15:40:26 EDT
(In reply to Yaniv Kaul from comment #1)
> Which UX? You've deployed via CLI?

Maybe I have my acronym wrong. but I was going on the impression that UX = user experience. If that is not the case then I can change it to whatever is a better fit. 

This RFE would be just to print the IP/FQDN of the appliance in a summary like printout when the user successfully deploys hosted engine.
Comment 3 Sandro Bonazzola 2017-08-04 02:32:44 EDT
FQDN of the hosted engine VM is one of the required inputs. What's the gain in printing an information which should be known prior to Hosted Engine deployment?
Comment 4 Dave 2017-08-04 08:30:04 EDT
Yes it is but I believe that it would help the user experience to have the it printed. I know it sounds like a redundancy over a convenience but it would make the next step of going to the FQDN/IP seamless. Something along the lines of "Deployment Successful. You can now continue to [FQDN/IP] to finish setting up your environment." Instead of having to go to wherever you wrote down your FQDN/IP it's simply right there for you. It gives the whole process a little more polish.
Comment 5 Ido Rosenzwig 2017-08-06 03:44:54 EDT
Beside what Sandro pointed out on comment 3, at the CLI deployment there is a summary with all the configuration details (for the user to confirm), including the engine FQDN.
In addition, this information can be found on the answerfile, which it's path printed out at the end of the deployment.

So if the user has forgot the engine FQDN he has many places to find it pretty easily.

Note You need to log in before you can comment on or make changes to this bug.